import { Injectable } from '@angular/core';

import {
    HttpClient,
    HttpParams
} from '@angular/common/http';

import { Observable } from 'rxjs/Observable';

import { map } from 'rxjs/operators';

import {
    Schedule,
    Slot
} from '../models/schedule';


@Injectable()
export class ScheduleService {
    constructor(private http: HttpClient) { }

    getSchedule(disabled = false): Observable<Slot[]> {

        return this.http.get<Schedule>('https://schedule.twitch.serpent.ai/schedule/92737529')
            .pipe(
                map(res => res.schedule.scheduleSlots.filter(slot => disabled || slot.isEnabled))
            );
    }
}
